gupnp_context_new
gupnp_context_timeout_add
Gupnp Functions
PHP Manual

# gupnp_context_set_subscription_timeout

(PECL gupnp >= 0.1.0)

gupnp_context_set_subscription_timeout — Sets the event subscription timeout

### Description

void gupnp_context_set_subscription_timeout ( resource `$context` , int `$timeout` )

Sets the event subscription timeout (in seconds) to time out. Note that any client side subscriptions will automatically be renewed.

### Parameters

`context`

  A context identifier, returned by gupnp_context_new().

`timeout`

  The event subscription timeout in seconds. Use 0 if you don't want subscriptions to time out.

### Return Values

No value is returned.

### See Also

- gupnp_context_new() - Create a new context
- gupnp_context_get_subscription_timeout() - Get the event subscription timeout

gupnp_context_new
gupnp_context_timeout_add
Gupnp Functions
PHP Manual